Package org.eclipse.birt.report.engine.api.script.eventhandler

# Interface IAutoTextEventHandler

All Known Implementing Classes:
  `AutoTextEventAdapter`

public interface IAutoTextEventHandler

## Method Summary

Modifier and Type
Method
Description
`void`
`onCreate(IAutoTextInstance autoTextInstance, IReportContext reportContext)`
Handle the onCreate event
`void`
`onPageBreak(IAutoTextInstance autoTextInstance, IReportContext reportContext)`
Handle the onPageBreak event
`void`
`onPrepare(IAutoText autoText, IReportContext reportContext)`
Handle the onPrepare event
`void`
`onRender(IAutoTextInstance autoTextInstance, IReportContext reportContext)`
Handle the onRender event

## Method Details

### onPrepare

void onPrepare(IAutoText autoText, IReportContext reportContext) throws ScriptException
Handle the onPrepare event

Throws:
  `ScriptException`

### onCreate

void onCreate(IAutoTextInstance autoTextInstance, IReportContext reportContext) throws ScriptException
Handle the onCreate event

Throws:
  `ScriptException`

### onRender

void onRender(IAutoTextInstance autoTextInstance, IReportContext reportContext) throws ScriptException
Handle the onRender event

Throws:
  `ScriptException`

### onPageBreak

void onPageBreak(IAutoTextInstance autoTextInstance, IReportContext reportContext) throws ScriptException
Handle the onPageBreak event

Throws:
  `ScriptException`